## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname reproject
%global sum Reproject astronomical images

Name:           python-%{srcname}
Version:        0.14.1
Release:        %autorelease
Summary:        %{sum}

License:        BSD-3-Clause
URL:            https://reproject.readthedocs.io/
Source0:        %{pypi_source}

BuildRequires:  gcc

BuildRequires:  python3-devel

ExcludeArch: %{ix86}

%description
%{sum}.

%package -n python3-%{srcname}
Summary:        %{sum}

%description -n python3-%{srcname}
%{sum}.

%prep
%autosetup -p1 -n %{srcname}-%{version}
sed -i -e 's/oldest-supported-numpy/numpy/' -e 's/cython==3.0.4/cython>=3/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files reproject

%check
# these fail in arm
# reproject/healpix/tests/test_healpix.py::test_reproject_healpix_to_image_footprint[**]
%ifarch aarch64
%pyproject_check_import -e '*.test*'
%else
pushd %{buildroot}/%{python3_sitearch}
  %pytest reproject
  rm -rf .pytest_cache
popd
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGES.md README.rst

%changelog
## START: Generated by rpmautospec
* Mon Feb 10 2025 Sergio Pascual <sergiopr@fis.ucm.es> - 0.14.1-1
- New upstream release 0.14.1

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jun 18 2024 Python Maint <python-maint@redhat.com> - 0.13.0-7
- Rebuilt for Python 3.13

* Wed Mar 06 2024 Sergio Pascual <sergiopr@fis.ucm.es> - 0.13.0-6
- Drop i686 arch

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Dec 31 2023 Sergio Pascual <sergiopr@fis.ucm.es> - 0.13.0-2
- Disable tests in aarch64

* Sun Dec 31 2023 Sergio Pascual <sergiopr@fis.ucm.es> - 0.13.0-1
- New upstream version

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Jul 12 2023 Python Maint <python-maint@redhat.com> - 0.10.0-3
- Rebuilt for Python 3.12

* Mon Mar 27 2023 Christian Dersch <lupinix@mailbox.org> - 0.10.0-2
- Add patch to disable tests requiring internet access, spec cleanup

* Wed Feb 01 2023 Christian Dersch <lupinix@mailbox.org> - 0.10.0-1
- new version

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 0.8-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Dec 31 2021 Christian Dersch <lupinix@fedoraproject.org> - 0.8-1
- new version

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Jul 04 2021 Mamoru TASAKA <mtasaka@fedoraproject.org> - 0.7.1-5
- BR: python3-scipy for %%check

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.7.1-4
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 20 2020 Christian Dersch <lupinix@fedoraproject.org> - 0.7.1-1
- new version

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 0.5.1-5
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Oct 27 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.5.1-3
- Skip tests on s390x until numpy is fixed

* Sun Oct 27 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.5.1-2
- use un-cythonized sources

* Sun Oct 27 2019 Christian Dersch <lupinix@fedoraproject.org> - 0.5.1-1
- new version

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 0.4-9
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 02 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.4-6
- drop python2 subpackage

* Sun Jul 15 2018 Christian Dersch <lupinix@fedoraproject.org> - 0.4-5
- BuildRequires: gcc

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 30 2018 Miro Hrončok <miro@hroncok.cz> - 0.4-3
- Delete .pytest_cache from site-packages

* Tue Jun 19 2018 Miro Hrončok <miro@hroncok.cz> - 0.4-2
- Rebuilt for Python 3.7

* Fri Mar 23 2018 Christian Dersch <lupinix@mailbox.org> - 0.4-1
- new version

* Wed Feb 14 2018 Christian Dersch <lupinix@mailbox.org> - 0.3.2-2
- rebuilt

* Wed Feb 14 2018 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- Revert "new version", requires not yet packaged dependency

* Wed Feb 14 2018 Christian Dersch <lupinix@mailbox.org> - 0.4-1
- new version

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Oct 22 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.2-1
- new version (0.3.2)

* Thu Oct 12 2017 Christian Dersch <lupinix@mailbox.org> - 0.3.1-6
- Recommend python-healpy

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-5
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <miro@hroncok.cz> - 0.3.1-2
- Rebuild for Python 3.6

* Tue Oct 11 2016 Christian Dersch <lupinix@mailbox.org> - 0.3.1-1
- Initial import (#1381516)
## END: Generated by rpmautospec
